Index: src/test/makefile
===================================================================
--- src/test/makefile	(revision 460)
+++ src/test/makefile	(revision 483)
@@ -1,17 +1,20 @@
-#CXX3 := $(shell type -p g++-3.4 || shell type -p g++-3.3 || type -p g++-3.2 || type -p g++-3.0 || type -p g++-3 || echo g++)
-CXX3 := $(shell type -p g++-3.3 || type -p g++-3.2 || type -p g++-3.0 || type -p g++-3 || echo g++)
-CXX2 = g++-2.95
-CXX=$(CXX3)
+INCLUDEDIRS ?= -I../include
+CXXFLAGS += -Wall -O3 -ansi -pedantic $(INCLUDEDIRS) 
+#LEDAROOT ?= /ledasrc/LEDA-4.1
+
+BINARIES = dijkstra_heap_test unionfind_test
+
+ifdef GCCVER
+CXX := g++-$(GCCVER)
+else
+CXX := $(shell type -p g++-3.3 || type -p g++-3.2 || type -p g++-3.0 || type -p g++-3 || echo g++)
+endif
+
 CC=$(CXX)
-INCLUDEDIRS ?= -I../include -I.. -I../work/{marci,jacint,alpar,klao,akos,athos} 
-CXXFLAGS = -W -Wall -ansi -pedantic -O3 $(INCLUDEDIRS) 
-LEDAROOT ?= /ledasrc/LEDA-4.1
-
-BINARIES = dijkstra_heap_test
 
 all: $(BINARIES)
 
 .depend dep depend:
-	-$(CXX) $(INCLUDEDIRS) -M $(BINARIES:=.cc) > .depend #2>/dev/null
+	$(CXX) $(INCLUDEDIRS) -M $(BINARIES:=.cc) > .depend
 
 makefile: .depend
